﻿
@{
    ViewBag.Title = "Parent Contact";
    Layout = null;
    var baseUrl = UrlHelpers.HomeUrl();
}
@model  InternalRosterReportsSchoolPdfViewModel
<html>
<head>
    <meta charset="utf-8">
    <title>Parent Contact</title>
    <meta http-equiv="content-type" content="text/html; charset=utf-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <style>
        /*common table code start*/

        @@font-face {
            font-family: "PT Serif Caption";
            font-style: normal;
            font-weight: 400;
            src: local("Cambria"),local("PT Serif Caption"),local("PTSerif-Caption"),url(https://themes.googleusercontent.com/static/fonts/ptserifcaption/v6/7xkFOeTxxO1GMC1suOUYWWhBabBbEjGd1iRmpyoZukE.woff) format('woff');
        }

        @@font-face {
            font-family: "Open Sans Light";
            font-style: normal;
            font-weight: 300;
            src: local("Segoe UI Light"),local("Open Sans Light"),local("OpenSans-Light"),url(https://themes.googleusercontent.com/static/fonts/opensans/v8/DXI1ORHCpsQm3Vp6mXoaTZ1r3JsPcQLi8jytr04NNhU.woff) format('woff');
        }

        @@font-face {
            font-family: "Open Sans";
            font-style: normal;
            font-weight: 400;
            src: local("Segoe UI"),local("Open Sans"),local("OpenSans"),url(https://themes.googleusercontent.com/static/fonts/opensans/v8/K88pR3goAWT7BTt32Z01mz8E0i7KZn-EPnyo3HZu7kw.woff) format('woff');
        }

        @@font-face {
            font-family: "Open Sans Bold";
            font-style: normal;
            font-weight: 700;
            src: local("Segoe UI Bold"),local("Open Sans Bold"),local("OpenSans-Bold"),url(https://themes.googleusercontent.com/static/fonts/opensans/v8/k3k702ZOKiLJc3WVjuplzJ1r3JsPcQLi8jytr04NNhU.woff) format('woff');
        }

        * {
            font-family: 'Segoe UI','Open Sans',Verdana,Arial,Helvetica,sans-serif;
            font-weight: normal;
            font-style: normal;
            -webkit-box-sizing: border-box;
            -moz-box-sizing: border-box;
            -ms-box-sizing: border-box;
            -o-box-sizing: border-box;
            box-sizing: border-box;
        }


        /*common table code end*/
    </style>
    <link href="@string.Format("{0}/{1}", baseUrl, "/Areas/Dashboard/Content/flyer/FlyerStyle.css")" rel="stylesheet" />
    <style>
        .structure-gray th {
            white-space: nowrap !important;
        }

        .jbt-table-custom .hr {
            margin: 5px !important;
            background-color: #ccc !important;
        }

        .jbt-table-custom p.small-text, .jbt-table-custom p.small-text span {
            font-size: 11px !important;
        }
    </style>
</head>
<body>
    <table class="jbt-table-custom structure-without-line structure-divider structure-bright-gray break-table-page">
        <tr>
            <td colspan="3" class="structure-bold structure-text-center td-box-logo">

                @if (!string.IsNullOrEmpty(Model.ClubLogo) && Model.ClubLogo.ToLower().Contains("http"))
                {
                    <img class="report-logo" src="@Model.ClubLogo" />
                }
                else
                {
                    <img class="report-logo" src="@string.Format("{0}/{1}", baseUrl, Model.ClubLogo)" />
                }

                @if (!string.IsNullOrEmpty(Model.SchoolLogo) && Model.SchoolLogo.ToLower().Contains("http"))
                {
                    <img class="report-logo" src="@Model.SchoolLogo" />
                }
                else
                {
                    <img class="report-logo" src="@string.Format("{0}/{1}", baseUrl, Model.SchoolLogo)" />
                }

            </td>
        </tr>
    </table>
    @foreach (var item in Model.Programs)
    {
        <div class="structure-divider-large">
            <table class="jbt-table-custom structure-gray structure-no-bordered">
                <tr>
                    <td style="min-width:210px"><span class="structure-bold structure-no-wrap">Class: </span> @item.ClassName</td>
                    <td style="min-width:210px"><span class="structure-bold structure-no-wrap">Time period: </span> @item.SeasonName</td>
                    <td style="min-width:210px"><span class="structure-bold structure-no-wrap">Minimum enrollments: </span> @item.MinimumEnrollments</td>
                </tr>
                <tr>
                    <td><span class="structure-bold structure-no-wrap">Grades/Ages: </span>@item.GradesOrAges</td>
                    <td><span class="structure-bold structure-no-wrap">Primary instructor: </span> @item.Instructor</td>
                    <td><span class="structure-bold structure-no-wrap">Capacity: </span> @item.Capacity</td>
                </tr>
                <tr>
                    <td><span class="structure-bold structure-no-wrap">Dates: </span> @item.ProgramDate</td>
                    <td><span class="structure-bold structure-no-wrap">Facility/Room: </span><span>@item.Location</span></td>
                    <td><span class="structure-bold structure-no-wrap">Enrolled: </span>@item.Enrolled</td>
                </tr>
                <tr>
                    <td><span class="structure-bold structure-no-wrap">Days: </span>@item.ClassDays</td>
                    <td><span class="structure-bold structure-no-wrap"> </span></td>
                    <td><span class="structure-bold structure-no-wrap">Pending: </span>@item.Pending</td>
                </tr>
                <tr>
                    <td><span class="structure-bold structure-no-wrap">Time: </span>@item.StrTime</td>
                    <td><span class="structure-bold structure-no-wrap"> </span></td>
                    <td><span class="structure-bold structure-no-wrap">WaitList: </span>@item.WaitList</td>
                </tr>
            </table>
            @if (@item.ProgramParticipants != null)
            {
                <table class="jbt-table-custom">
                    <tr class="structure-gray structure-text-center" style="height: 44px;">
                        <th style="min-width:40px">#</th>
                        <th class="structure-no-wrap">Participant name</th>
                        <th class="structure-no-wrap">Contact name</th>
                        <th class="structure-no-wrap">Phone</th>
                        <th class="structure-no-wrap">Email</th>
                        <th class="structure-no-wrap" style="max-width:90px !important;min-width:90px !important;">Dismissal</th>
                        <th class="structure-no-wrap" style="max-width:120px !important;min-width:120px !important;">Allergies</th>
                        <th class="structure-no-wrap" style="max-width:160px !important;min-width:160px !important;">Medical conditions</th>
                        <th style="max-width:70px !important;min-width:70px  !important;word-break:break-all !important"><span style="word-break:break-all !important">Grade/Age</span></th>
                    </tr>
                    <tr class="structure-text-center structure-gray">
                        <td style="min-width:40px">#</td>
                        <td class="structure-no-wrap">Participant name</td>

                        <td>
                            <span class="structure-no-wrap">PARENT 1</span>
                            <hr class="hr" />
                            <span class="structure-no-wrap"> AUTHORIZED PICKUP 1</span>
                            <hr class="hr" />
                            <span class="structure-no-wrap">  EMERGENCY CONTACT</span>
                        </td>
                        <td>
                            <span class="structure-no-wrap"> PARENT 1 </span>
                            <hr class="hr" />
                            <span class="structure-no-wrap">  AUTHORIZED PICKUP 1 </span>
                            <hr class="hr" />
                            <span class="structure-no-wrap">   EMERGENCY CONTACT </span>
                        </td>
                        <td>
                            <span class="structure-no-wrap">  PARENT 1  </span>
                            <hr class="hr" />
                            <span class="structure-no-wrap">  AUTHORIZED PICKUP 1 </span>
                            <hr class="hr" />
                            <span class="structure-no-wrap">  EMERGENCY CONTACT </span>
                        </td>
                        <td style="max-width:90px !important;min-width:90px !important;">Dismissal</td>
                        <td style="max-width:120px !important;min-width:120px !important;">Allergies</td>
                        <td style="max-width:160px !important;min-width:160px !important;">Medical conditions</td>
                        <th style="max-width:70px !important;min-width:70px !important;word-break:break-all !important"><span style="word-break:break-all !important">Grade/Age</span></th>
                    </tr>
                    @foreach (var participant in item.ProgramParticipants)
                    {
                        <tr class="structure-text-center">
                            <td>@participant.Number</td>
                            <td>@participant.ParticipantName  </td>
                            <td>

                                <span>@participant.Parent1Name</span><hr class="hr" />
                                <span>@participant.AuthorizedPickup1Name</span><hr class="hr" />
                                <span>@participant.EmergencyContactName</span>

                            </td>
                            <td>

                                <span>@participant.Parent1Phone</span><hr class="hr" />
                                <span>@participant.AuthorizedPickup1Phone</span><hr class="hr" />
                                <span>@participant.EmergencyContactPhone</span>

                            </td>
                            <td>

                                <span>@participant.Parent1Email</span><hr class="hr" />
                                <span>@participant.AuthorizedPickup1Email</span><hr class="hr" />
                                <span>@participant.EmergencyContactEmail</span>

                            </td>
                            <td style="max-width:90px !important;min-width:90px !important;">@participant.TransportHome </td>
                            <td style="max-width:120px !important;min-width:120px !important;">@participant.Allergies </td>
                            <td style="max-width:160px !important;min-width:160px !important;">@participant.MedicalConditions </td>
                            <td style="max-width:70px !important;min-width:70px  !important;word-break:break-all !important">@participant.GradeOrAge </td>
                        </tr>
                    }


                </table>
            }

        </div>
    }




</body>
</html>
